org.keycloak.protocol.oidc

## Class OIDCWellKnownProvider

- java.lang.Object
- - org.keycloak.protocol.oidc.OIDCWellKnownProvider

- All Implemented Interfaces:
    Provider, WellKnownProvider

      public class OIDCWellKnownProvider
      extends Object
      implements WellKnownProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `DEFAULT_GRANT_TYPES_SUPPORTED`
    `static List<String>` | `DEFAULT_ID_TOKEN_SIGNING_ALG_VALUES_SUPPORTED`
    `static List<String>` | `DEFAULT_RESPONSE_MODES_SUPPORTED`
    `static List<String>` | `DEFAULT_RESPONSE_TYPES_SUPPORTED`
    `static List<String>` | `DEFAULT_SUBJECT_TYPES_SUPPORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCWellKnownProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Object` | `getConfig(RealmModel realm, javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ID_TOKEN_SIGNING_ALG_VALUES_SUPPORTED

          public static final List<String> DEFAULT_ID_TOKEN_SIGNING_ALG_VALUES_SUPPORTED

    - #### DEFAULT_GRANT_TYPES_SUPPORTED

          public static final List<String> DEFAULT_GRANT_TYPES_SUPPORTED

    - #### DEFAULT_RESPONSE_TYPES_SUPPORTED

          public static final List<String> DEFAULT_RESPONSE_TYPES_SUPPORTED

    - #### DEFAULT_SUBJECT_TYPES_SUPPORTED

          public static final List<String> DEFAULT_SUBJECT_TYPES_SUPPORTED

    - #### DEFAULT_RESPONSE_MODES_SUPPORTED

          public static final List<String> DEFAULT_RESPONSE_MODES_SUPPORTED

  - ### Constructor Detail

    - #### OIDCWellKnownProvider

          public OIDCWellKnownProvider()

  - ### Method Detail

    - #### getConfig

          public Object getConfig(RealmModel realm,
                         javax.ws.rs.core.UriInfo uriInfo)

      Specified by:
        `getConfig` in interface `WellKnownProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2015. All rights reserved.